Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fujitsu.iflow.common
Class AsapUtils

    java.lang.Object
      com.fujitsu.iflow.common.AsapUtils

public class AsapUtils
extends java.lang.Object

Used to support ASAP protocol interactions

Field Summary
`static java.lang.String` | `asapNSattr`
`static java.lang.String` | `asapPrefix`
`static java.lang.String` | `asapUri`
`static java.lang.String` | `ibpmNSattr`
`static java.lang.String` | `ibpmPrefix`
`static java.lang.String` | `ibpmUri`
`static java.lang.String` | `iflowNSattr`
`static java.lang.String` | `iflowNSPrefix`
`static int` | `PROT_ASAP`
`static int` | `PROT_SWAP`
`static java.lang.String` | `schemaDefNSattr`
`static java.lang.String` | `schemaDefPrefix`
`static java.lang.String` | `schemaDefUri`
`static java.lang.String` | `soapNSattr`
`static java.lang.String` | `soapPrefix`
`static java.lang.String` | `soapUri`
`static java.lang.String` | `wfxmlNSattr`
`static java.lang.String` | `wfxmlPrefix`
`static java.lang.String` | `wfxmlUri`
`static java.lang.String` | `wsaNSattr`
`static java.lang.String` | `wsaPrefix`
`static java.lang.String` | `wsaUri`

Constructor Summary
`AsapUtils()`

Method Summary
`static void` | `appendExceptionXml(org.w3c.dom.Document doc, org.w3c.dom.Element parent, java.lang.Throwable exception, java.io.PrintWriter log)`
`static java.lang.String` | `convIflowDateToXsdDate(java.lang.String iflowDate)`
`static java.lang.String` | `convIflowTimeStampToXsd(long timeStamp)`
`static java.lang.String` | `convXsdDateToIflowDate(java.lang.String xsdDate)`
`static org.w3c.dom.Element[]` | `getAllChildElements(org.w3c.dom.Element parentElement)`
`static java.lang.String` | `getChildTagValue(org.w3c.dom.Element parentElement, java.lang.String childElementName)`
`static java.lang.String` | `getExceptionFromResponse(org.w3c.dom.Element response)`
`static java.lang.Exception` | `getExceptionFromSoapFault(org.w3c.dom.Document doc, org.w3c.dom.Element faultElement)`
`static org.w3c.dom.Element` | `getFirstChildElement(org.w3c.dom.Element parentElement)`
`static org.w3c.dom.Element` | `getNamedChildElement(org.w3c.dom.Element parentElement, java.lang.String childTagName)`
`static org.w3c.dom.Document` | `getSoapFaultDoc(java.lang.Exception exception, java.io.PrintWriter log)`
`static java.lang.String` | `getTagValue(org.w3c.dom.Node node)`
`static java.lang.Exception` | `makeExceptionFromSoapFault(org.w3c.dom.Document doc, org.w3c.dom.Element faultRoot)`
`static java.lang.Exception` | `makeNonIbpmGenException(org.w3c.dom.Document doc, org.w3c.dom.Element faultElement)`
`static org.w3c.dom.Document` | `sendWfxmlGetDefinition(java.lang.String remoteTemplateUri, BPMSession bps)`
`static void` | `sendWfxmlNewDefinition(org.w3c.dom.Document templateDoc, java.lang.String remoteRegistryUri, BPMSession bps)`
`static void` | `sendWfxmlSetDefinition(org.w3c.dom.Document templateDoc, java.lang.String remoteFactoryUri, BPMSession bps)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### soapUri

    public static final java.lang.String soapUri

See Also:
  Constant Field Values

### soapPrefix

    public static final java.lang.String soapPrefix

See Also:
  Constant Field Values

### soapNSattr

    public static final java.lang.String soapNSattr

See Also:
  Constant Field Values

### asapUri

    public static final java.lang.String asapUri

See Also:
  Constant Field Values

### asapPrefix

    public static final java.lang.String asapPrefix

See Also:
  Constant Field Values

### asapNSattr

    public static final java.lang.String asapNSattr

See Also:
  Constant Field Values

### schemaDefUri

    public static final java.lang.String schemaDefUri

See Also:
  Constant Field Values

### schemaDefPrefix

    public static final java.lang.String schemaDefPrefix

See Also:
  Constant Field Values

### schemaDefNSattr

    public static final java.lang.String schemaDefNSattr

See Also:
  Constant Field Values

### iflowNSPrefix

    public static final java.lang.String iflowNSPrefix

See Also:
  Constant Field Values

### iflowNSattr

    public static final java.lang.String iflowNSattr

See Also:
  Constant Field Values

### wfxmlUri

    public static final java.lang.String wfxmlUri

See Also:
  Constant Field Values

### wfxmlPrefix

    public static final java.lang.String wfxmlPrefix

See Also:
  Constant Field Values

### wfxmlNSattr

    public static final java.lang.String wfxmlNSattr

See Also:
  Constant Field Values

### ibpmUri

    public static final java.lang.String ibpmUri

See Also:
  Constant Field Values

### ibpmPrefix

    public static final java.lang.String ibpmPrefix

See Also:
  Constant Field Values

### ibpmNSattr

    public static final java.lang.String ibpmNSattr

See Also:
  Constant Field Values

### wsaUri

    public static final java.lang.String wsaUri

See Also:
  Constant Field Values

### wsaPrefix

    public static final java.lang.String wsaPrefix

See Also:
  Constant Field Values

### wsaNSattr

    public static final java.lang.String wsaNSattr

See Also:
  Constant Field Values

### PROT_ASAP

    public static final int PROT_ASAP

See Also:
  Constant Field Values

### PROT_SWAP

    public static final int PROT_SWAP

See Also:
  Constant Field Values

Constructor Detail

### AsapUtils

    public AsapUtils()

Method Detail

### getChildTagValue

    public static java.lang.String getChildTagValue(org.w3c.dom.Element parentElement,
                                                    java.lang.String childElementName)

### getNamedChildElement

    public static org.w3c.dom.Element getNamedChildElement(org.w3c.dom.Element parentElement,
                                                           java.lang.String childTagName)

### getTagValue

    public static java.lang.String getTagValue(org.w3c.dom.Node node)

### getFirstChildElement

    public static org.w3c.dom.Element getFirstChildElement(org.w3c.dom.Element parentElement)

### getAllChildElements

    public static org.w3c.dom.Element[] getAllChildElements(org.w3c.dom.Element parentElement)

### convIflowDateToXsdDate

    public static java.lang.String convIflowDateToXsdDate(java.lang.String iflowDate)
                                                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### convXsdDateToIflowDate

    public static java.lang.String convXsdDateToIflowDate(java.lang.String xsdDate)
                                                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### convIflowTimeStampToXsd

    public static java.lang.String convIflowTimeStampToXsd(long timeStamp)
                                                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### sendWfxmlGetDefinition

    public static org.w3c.dom.Document sendWfxmlGetDefinition(java.lang.String remoteTemplateUri,
                                                              BPMSession bps)
                                                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### sendWfxmlNewDefinition

    public static void sendWfxmlNewDefinition(org.w3c.dom.Document templateDoc,
                                              java.lang.String remoteRegistryUri,
                                              BPMSession bps)
                                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### sendWfxmlSetDefinition

    public static void sendWfxmlSetDefinition(org.w3c.dom.Document templateDoc,
                                              java.lang.String remoteFactoryUri,
                                              BPMSession bps)
                                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getExceptionFromResponse

    public static java.lang.String getExceptionFromResponse(org.w3c.dom.Element response)
                                                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getSoapFaultDoc

    public static org.w3c.dom.Document getSoapFaultDoc(java.lang.Exception exception,
                                                       java.io.PrintWriter log)
                                                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### appendExceptionXml

    public static void appendExceptionXml(org.w3c.dom.Document doc,
                                          org.w3c.dom.Element parent,
                                          java.lang.Throwable exception,
                                          java.io.PrintWriter log)
                                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getExceptionFromSoapFault

    public static java.lang.Exception getExceptionFromSoapFault(org.w3c.dom.Document doc,
                                                                org.w3c.dom.Element faultElement)

### makeNonIbpmGenException

    public static java.lang.Exception makeNonIbpmGenException(org.w3c.dom.Document doc,
                                                              org.w3c.dom.Element faultElement)

### makeExceptionFromSoapFault

    public static java.lang.Exception makeExceptionFromSoapFault(org.w3c.dom.Document doc,
                                                                 org.w3c.dom.Element faultRoot)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD